DatacenterSyncWriteResponseHandler (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.service

## Class DatacenterSyncWriteResponseHandler

- java.lang.Object
- - org.apache.cassandra.service.AbstractWriteResponseHandler
  - - org.apache.cassandra.service.DatacenterSyncWriteResponseHandler

- All Implemented Interfaces:
    IAsyncCallback

      public class DatacenterSyncWriteResponseHandler
      extends AbstractWriteResponseHandler

  This class blocks for a quorum of responses _in all datacenters_ (CL.EACH_QUORUM).

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler

      `callback, consistencyLevel, keyspace, naturalEndpoints, pendingEndpoints, start`

    - ### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isAlive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatacenterSyncWriteResponseHandler(java.util.Collection<java.net.InetAddress> naturalEndpoints, java.util.Collection<java.net.InetAddress> pendingEndpoints, ConsistencyLevel consistencyLevel, Keyspace keyspace, java.lang.Runnable callback, WriteType writeType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `ackCount()`
    `boolean` | `isLatencyForSnitch()`
    `void` | `response(MessageIn message)` null message means "response from local write"

    - ### Methods inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler

      `assureSufficientLiveNodes, get, signal, totalBlockFor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatacenterSyncWriteResponseHandler

          public DatacenterSyncWriteResponseHandler(java.util.Collection<java.net.InetAddress> naturalEndpoints,
                                            java.util.Collection<java.net.InetAddress> pendingEndpoints,
                                            ConsistencyLevel consistencyLevel,
                                            Keyspace keyspace,
                                            java.lang.Runnable callback,
                                            WriteType writeType)

  - ### Method Detail

    - #### response

          public void response(MessageIn message)

      Description copied from class: `AbstractWriteResponseHandler`
      null message means "response from local write"
      Specified by:
        `response` in interface `IAsyncCallback`
      Specified by:
        `response` in class `AbstractWriteResponseHandler`
      Parameters:
        `message` - response received.

    - #### ackCount

          protected int ackCount()

      Specified by:
        `ackCount` in class `AbstractWriteResponseHandler`

    - #### isLatencyForSnitch

          public boolean isLatencyForSnitch()

      Returns:
        true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Copyright © 2014 The Apache Software Foundation